incubator-cassandra-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Curt Micol <asen...@gmail.com>
Subject Re: Build Failed
Date Sat, 08 Aug 2009 23:39:13 GMT
On Sat, Aug 8, 2009 at 7:13 PM, Michael Greene<michael.greene@gmail.com> wrote:
> This is what happens when you compile using Java 1.5. Cassandra requires
> Java 1.6+. You can either setup JAVA_HOME or setup your system preferences
> to point to a supported version of Java.

Interesting, I've never had issue with this before:

[dragn:~/src/svn/cassandra]$ echo $PATH
/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Home/bin:/opt/local/bin:/Users/cbm/bin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
[dragn:~/src/svn/cassandra]$ echo $JAVA_HOME
/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Home

But sure enough, ant is using Java 1.5:

[dragn:~/src/svn/cassandra]$ ant -v
Apache Ant version 1.7.0 compiled on May 21 2009
Buildfile: build.xml
Detected Java version: 1.5 in:
/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Home
Detected OS: Mac OS X

Any ideas how to get this to hit 1.6? Like I mentioned, when I setup
the PATH and JAVA_HOME I had no issue, and none since (I've probably
ran 'ant test' once a week for 3-4 weeks now).  I am curious how ant
suddenly wouldn't use my env.

Thanks for your help,

-- 
# Curt Micol

Mime
View raw message